<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>GitLabPages SocketIO Chat Sample</title>

  <script defer src="./js/socket.io.min.js"></script>
  <script defer src="./js/main.js"></script>
</head>
<body>
  <header>
    <div class="change-client-name-area">
      <label>名前:
        <input type="text" class="change-client-name-input" minlength="1" maxlength="10">
      </label>
      <button type="button" class="change-client-name-button" disabled>変更</button>
    </div>
    <div class="display-client-name-area">現在の名前:
      <span class="current-client-name"></span>
    </div>
  </header>
  <hr>

  <main>
    <div>
      <label>メッセージ:
        <input type="text" class="send-message-input" minlength="1" maxlength="140">
      </label>
      <button type="button" class="send-message-button" disabled>送信</button>
    </div>
    <ul class="message_list">
    </ul>
  </main>
</body>
</html>
